<?xml version="1.0" encoding="ISO-8859-1"?>

<!--

Phenotyper - a tool for collecting phenotyping data using mobile terminals
Copyright (C) 2015,  gremmels(at)mpimp-golm.mpg.de

Phenotyper is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>

Contributors:
gremmels(at)mpimp-golm.mpg.de - initial API and implementation

-->
<!DOCTYPE tiles-definitions PUBLIC
       "-//Apache Software Foundation//DTD Tiles Configuration 3.0//EN"
       "http://tiles.apache.org/dtds/tiles-config_3_0.dtd">
<tiles-definitions>
	<definition name="baseLayout" template="/layouts/base.jsp">
		<put-attribute name="title" value="TestProgramComposer" />
		<put-attribute name="body" value="/TPCLogin.jsp" />
		<put-attribute name="mpimp_logo" value="/MPIMPLogo.jsp" />
		<put-attribute name="minerva" value="/Minerva.jsp" />
		<put-attribute name="impressum" value="/Impressum.jsp" />
	</definition>

	<definition name="TPCLogin" extends="baseLayout">
		<put-attribute name="body" value="/TPCLogin.jsp" />
	</definition>

	<definition name="TPCHome" extends="baseLayout">
		<put-attribute name="body" value="/TestProgramComposer.jsp" />
	</definition>

	<definition name="TPCAdministration" extends="baseLayout">
		<put-attribute name="body" value="/TPCAdministration.jsp" />
	</definition>

	<definition name="DownloadTestProgram" extends="baseLayout">
		<put-attribute name="body" value="/DownloadWithBlancPage.jsp" />
	</definition>
	
	<definition name="DownloadImagePackage" extends="baseLayout">
		<put-attribute name="body" value="/DownloadSamePage.jsp" />
	</definition>
	
	<definition name="ImportTestProgram" extends="baseLayout">
	<put-attribute name="body" value="/Import.jsp" />
	</definition>
	
	<definition name="UploadImage" extends="baseLayout">
	<put-attribute name="body" value="/UploadImage.jsp"/>
	</definition>

</tiles-definitions>
